## python-pyld 0.6.8

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyLD.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyLD.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyLD"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyLD"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-pyld 0.6.2

=== debian/changelog ===
python-pyld (0.6.2-1) unstable; urgency=low

  * Initial release (Closes: #764543)

 -- W. Martin Borgert <debacle@debian.org>  Thu, 09 Oct 2014 08:48:22 +0000

=== debian/control ===
Source: python-pyld
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: python-all (>= 2.7~), python-setuptools, debhelper (>= 9), python3-all, python3-setuptools, python-sphinx, python3-sphinx
Standards-Version: 3.9.6
Homepage: https://github.com/digitalbazaar/pyld/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-pyld.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-pyld.git

Package: python-pyld
Architecture: all
Depends: ${misc:Depends}
 , ${python:Depends}
Description: implementation of the JSON-LD API
 This library is an implementation of the JSON-LD specification in Python.
 .
 This package provides the Python 2.x module.

Package: python3-pyld
Architecture: all
Depends: ${misc:Depends}
 , ${python3:Depends}
Description: implementation of the JSON-LD API
 This library is an implementation of the JSON-LD specification in Python.
 .
 This package provides the Python 3.x module.

## python-pyld 0.6.8

=== debian/changelog ===
python-pyld (0.6.8-2) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/control: Deprecating priority extra as per policy 4.0.1
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Piotr Ożarowski ]
  * Add dh-python to Build-Depends

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.
  * Set the Maintainer field to the QA Group.

 -- Andrey Rahmatullin <wrar@debian.org>  Tue, 20 Aug 2019 00:41:20 +0500

python-pyld (0.6.8-1) unstable; urgency=low

  * New upstream version.

 -- W. Martin Borgert <debacle@debian.org>  Tue, 13 Oct 2015 22:46:31 +0000

=== debian/control ===
Source: python-pyld
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 9), dh-python, python3-all, python3-setuptools, python3-sphinx
Standards-Version: 3.9.6
Homepage: https://github.com/digitalbazaar/pyld/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyld.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyld

Package: python3-pyld
Architecture: all
Depends: ${misc:Depends}
 , ${python3:Depends}
Description: implementation of the JSON-LD API
 This library is an implementation of the JSON-LD specification in Python.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=pyld

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_installdocs:
	cd docs/ ; $(MAKE) text
	dh_installdocs

## python-pyld 2.0.3

=== debian/changelog ===
python-pyld (2.0.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add debian/watch file, using pypi.

  [ James Valleroy ]
  * d/control: Add Rules-Requires-Root
  * d/control: Use debhelper compat version 13
  * d/control: Add sphinxdoc Depends
  * d/control: Update standards version to 4.5.0
  * d/control: Adopt orphaned package (Closes: #894148)
  * New upstream version 2.0.3
  * d/control: Update dependencies
  * Cleanup build of obsolete docs

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Jonathan Carter ]
  * Fix changelog entry merging Ondřej's entry with previously unreleased
    changelog

 -- James Valleroy <jvalleroy@mailbox.org>  Thu, 17 Sep 2020 22:26:37 -0400

=== debian/control ===
Source: python-pyld
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: James Valleroy <jvalleroy@mailbox.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-cachetools,
               python3-frozendict,
               python3-lxml,
               python3-setuptools
Standards-Version: 4.5.0
Homepage: https://github.com/digitalbazaar/pyld/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyld.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyld
Rules-Requires-Root: no

Package: python3-pyld
Architecture: all
Depends: python3-cachetools,
         python3-frozendict,
         python3-lxml,
         ${misc:Depends},
         ${python3:Depends}
Description: implementation of the JSON-LD API
 This library is an implementation of the JSON-LD specification in Python.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=pyld

%:
	dh $@ --buildsystem=pybuild --with python3

## python-pyld 2.0.4

=== debian/changelog ===
python-pyld (2.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use pybuild-plugin-pyproject.
  * Policy version 4.7.0: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 May 2024 12:52:10 +0100

python-pyld (2.0.3-3) unstable; urgency=medium

  * Update standards version to 4.6.1
  * Add myself to debian/ copyright

 -- James Valleroy <jvalleroy@mailbox.org>  Sun, 31 Jul 2022 07:07:59 -0400

python-pyld (2.0.3-2) unstable; urgency=medium

  * Update standards version to 4.5.1, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 25 May 2022 19:19:52 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Uploaders: James Valleroy <jvalleroy@mailbox.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-cachetools,
                python3-frozendict,
                python3-lxml,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/digitalbazaar/pyld/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyld.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyld

=== debian/watch ===
version=4
https://pypi.debian.net/PyLD/PyLD-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
